Get a contact
Retrieve one contact.
GET
https://app.usenotix.dev/api/v1/contactBooks/{contactBookId}/contacts/{contactId}Full access and read only keys can call this. Sending access keys cannot. Key permissions lists the extra rules some calls have.
Retrieve one contact.
Path parameters
contactBookIdstringrequired
contactIdstringrequired
Headers
Authorizationstringrequired
Bearer followed by your API key.
curl -X GET "https://app.usenotix.dev/api/v1/contactBooks/<contactBookId>/contacts/<contactId>" \
-H "Authorization: Bearer $NOTIX_API_KEY"
import { Notix } from "notix-js";
const notix = new Notix(process.env.NOTIX_API_KEY);
const { data, error } = await notix.contacts.get("cb_123", "cnt_456");
from notix import Notix
notix = Notix() # reads NOTIX_API_KEY
contact, _ = notix.contacts.get("cb_123", "cnt_456")
use Notix\Notix;
$notix = new Notix(getenv('NOTIX_API_KEY'));
$contact = $notix->contacts->get('cb_123', 'cnt_456');
Response200
{
"id": "cm1x8f3k20001qz7v5b9d2e4a",
"email": "customer@example.com",
"properties": {},
"contactBookId": "cm1x8f3k20001qz7v5b9d2e4a",
"createdAt": "string",
"updatedAt": "string"
}